#include <cassert>
#include <cstdlib>
#include <iostream>

using namespace std;

const int MAX = 200000;

int n, m;
int a[MAX], v[MAX];

int main() {
  freopen("input.txt", "r", stdin);
  freopen("output.txt", "w", stdout);

  scanf("%d%d", &n, &m);
  for (int i = 0; i < m; i++) {
    scanf("%d%d", &a[i], &v[i]);
  }

  int best_i = -1;
  double best_t = -1.0;
  for (int i = 1; i <= n; i++) {
    double t = MAX + 1;
    for (int j = 0; j < m; j++) {
      double cur_t = (a[j] - i) / (double)(0 - v[j]);
      if (cur_t >= 0.0 && cur_t < t) {
        t = cur_t;
      }
    }
    if (t > best_t) {
      best_t = t;
      best_i = i;
    }
  }

  cout << best_i << endl;

  fclose(stdin); fclose(stdout);
  return 0;
}
